import { Options } from '../util';
declare type StringOptions<T extends string> = Options<T> & Readonly<{
    orElseGetEmptyString: () => '' | T;
}>;
declare const parseAsString: (value: unknown) => Readonly<{
    orElseGet: <U>(u: U) => string | U;
    orElseLazyGet: <U_1>(callBackFunction: () => U_1) => string | U_1;
    orElseGetUndefined: () => string | undefined;
    orElseGetNull: () => string | null;
    orElseThrowDefault: (name: string) => string;
    orElseThrowCustom: (message: string) => string;
}> & Readonly<{
    orElseGetEmptyString: () => string;
}> & Readonly<{
    exactlyAs: <T extends string>(t: T) => StringOptions<T>;
}>;
export default parseAsString;
//# sourceMappingURL=parseAsString.d.ts.map